Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 142366 - regression between libgcj.so.4 and libgcj.so.5 (OOo and libgcj)
Summary: regression between libgcj.so.4 and libgcj.so.5 (OOo and libgcj)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Tromey
QA Contact:
URL: http://people.redhat.com/caolanm/gcj....
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-09 09:46 UTC by Caolan McNamara
Modified: 2014-08-11 05:46 UTC (History)
3 users (show)

Fixed In Version: 3.4.3-17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-02-08 13:59:19 UTC


Attachments (Terms of Use)
testcase (deleted)
2004-12-09 09:46 UTC, Caolan McNamara
no flags Details

Description Caolan McNamara 2004-12-09 09:46:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041204

Description of problem:
As discussed at http://gcc.gnu.org/ml/java/2004-12/msg00042.html there
is an apparent regression between libgcj.so.4 and libgcj.so.5.

Version-Release number of selected component (if applicable):
libgcj-3.4.3-7

How reproducible:
Always

Steps to Reproduce:
1. run script in attachment    

Actual Results:  4 lines of output of
"A: registerInterface"

Expected Results:  6 lines of output of 
"A: registerInterface"

Additional info:

libgcj4 works, while libgcj5 and libgcj6 are problematic. The attached
example is a minimal example of the OOo java uno component requirements.

Comment 1 Caolan McNamara 2004-12-09 09:46:29 UTC
Created attachment 108188 [details]
testcase

Comment 2 Tom Tromey 2005-01-17 21:01:56 UTC
The fix for this has been in gcc cvs head for a while.
I just now put it on the 3.4 branch as well.  I CCd Jakub
on the email, asking him to put it in the RH 3.4.


Comment 3 Jakub Jelinek 2005-02-08 13:59:19 UTC
This should be fixed in gcc-3.4.3-17 then, by:
* Tue Jan 25 2005 Jakub Jelinek  <jakub@redhat.com> 3.4.3-17
- update from gcc-3_4-branch
as Tom checked that in on Jan, 17th.


Note You need to log in before you can comment on or make changes to this bug.